jQuery(document).ready(function ($) {
    var tabItems = $('.cd-tabs-navigation a'),
            tabContentWrapper = $('.cd-tabs-content');

    tabItems.on('click', function (event) {
        event.preventDefault();
        var selectedItem = $(this);
        if (!selectedItem.hasClass('selected')) {
            var selectedTab = selectedItem.data('content'),
                    selectedContent = tabContentWrapper.find('li[data-content="' + selectedTab + '"]'),
                    slectedContentHeight = selectedContent.innerHeight();

            tabItems.removeClass('selected');
            selectedItem.addClass('selected');
            selectedContent.addClass('selected').siblings('li').removeClass('selected');
            //animate tabContentWrapper height when content changes 
            tabContentWrapper.animate({
                'height': slectedContentHeight
            }, 200);
        }
    });

    //hide the .cd-tabs::after element when tabbed navigation has scrolled to the end (mobile version)
    checkScrolling($('.cd-tabs nav'));
    $(window).on('resize', function () {
        checkScrolling($('.cd-tabs nav'));
        tabContentWrapper.css('height', 'auto');
    });
    $('.cd-tabs nav').on('scroll', function () {
        checkScrolling($(this));
    });

    function checkScrolling(tabs) {
        var totalTabWidth = parseInt(tabs.children('.cd-tabs-navigation').width()),
                tabsViewport = parseInt(tabs.width());
        if (tabs.scrollLeft() >= totalTabWidth - tabsViewport) {
            tabs.parent('.cd-tabs').addClass('is-ended');
        } else {
            tabs.parent('.cd-tabs').removeClass('is-ended');
        }
    }
});


//activy katalo
//$(".option-passenger").click(function () {
//    // $(".option-passenger").css('display', 'none');
//    $(".option-passenger p").addClass("car-item-name-active");
//    $(".option-passenger").removeClass("pas-back-1");
//    $(".option-passenger").addClass("pas-back-2");
//
//
//    //                usuwanie
//    $(".option-truck p").removeClass("car-item-name-active")
//    $(".option-truck").removeClass("truck-back-2");
//    $(".option-truck").addClass("truck-back-1");
//
//    $(".option-machine p").removeClass("car-item-name-active");
//    $(".option-machine").removeClass("machine-back-2");
//    $(".option-machine").addClass("machine-back-1");
//
//    $(".option-light p").removeClass("car-item-name-active");
//    $(".option-light").removeClass("light-back-2");
//    $(".option-light").addClass("light-back-1");
//
//    $(".option-motorcycles p").removeClass("car-item-name-active");
//    $(".option-motorcycles").removeClass("motorcycles-back-2");
//    $(".option-motorcycles").addClass("motorcycles-back-1");
//
//    $(".option-light p").removeClass("car-item-name-active");
//    $(".option-light").removeClass("light-back-2");
//    $(".option-light").addClass("light-back-1");
//
//
//
//    $(".option-atv p").removeClass("car-item-name-active");
//    $(".option-atv").removeClass("atv-back-2");
//    $(".option-atv").addClass("atv-back-1");
//
//    $(".option-cross p").removeClass("car-item-name-active");
//    $(".option-cross").removeClass("cross-back-2");
//    $(".option-cross").addClass("cross-back-1");
//
//    $(".option-lpg p").removeClass("car-item-name-active");
//    $(".option-lpg").removeClass("lpg-back-2");
//    $(".option-lpg").addClass("lpg-back-1");
//
//    $(".option-dimension p").removeClass("car-item-name-active");
//    $(".option-dimension").removeClass("dimension-back-2");
//    $(".option-dimension").addClass("dimension-back-1");
//
//});
//
//$(".option-truck").click(function () {
//    // $(".option-passenger").css('display', 'none');
//    $(".option-truck p").addClass("car-item-name-active");
//    $(".option-truck").removeClass("truck-back-1");
//    $(".option-truck").addClass("truck-back-2");
//
//    //                usuwanie
//    $(".option-passenger p").removeClass("car-item-name-active")
//    $(".option-passenger").removeClass("pas-back-2");
//    $(".option-passenger").addClass("pas-back-1");
//
//    $(".option-machine p").removeClass("car-item-name-active");
//    $(".option-machine").removeClass("machine-back-2");
//    $(".option-machine").addClass("machine-back-1");
//
//    $(".option-light p").removeClass("car-item-name-active");
//    $(".option-light").removeClass("light-back-2");
//    $(".option-light").addClass("light-back-1");
//
//    $(".option-motorcycles p").removeClass("car-item-name-active");
//    $(".option-motorcycles").removeClass("motorcycles-back-2");
//    $(".option-motorcycles").addClass("motorcycles-back-1");
//
//    $(".option-atv p").removeClass("car-item-name-active");
//    $(".option-atv").removeClass("atv-back-2");
//    $(".option-atv").addClass("atv-back-1");
//
//
//    $(".option-cross p").removeClass("car-item-name-active");
//    $(".option-cross").removeClass("cross-back-2");
//    $(".option-cross").addClass("cross-back-1");
//
//    $(".option-lpg p").removeClass("car-item-name-active");
//    $(".option-lpg").removeClass("lpg-back-2");
//    $(".option-lpg").addClass("lpg-back-1");
//
//    $(".option-dimension p").removeClass("car-item-name-active");
//    $(".option-dimension").removeClass("dimension-back-2");
//    $(".option-dimension").addClass("dimension-back-1");
//
//});
//
//
//$(".option-machine").click(function () {
//    // $(".option-passenger").css('display', 'none');
//    $(".option-machine p").addClass("car-item-name-active");
//    $(".option-machine").removeClass("machine-back-1");
//    $(".option-machine").addClass("machine-back-2");
//
//    //                usuwanie
//    $(".option-truck p").removeClass("car-item-name-active")
//    $(".option-truck").removeClass("truck-back-2");
//    $(".option-truck").addClass("truck-back-1");
//
//
//    $(".option-passenger p").removeClass("car-item-name-active");
//    $(".option-passenger").removeClass("pas-back-2");
//    $(".option-passenger").addClass("pas-back-1");
//
//
//    $(".option-light p").removeClass("car-item-name-active");
//    $(".option-light").removeClass("light-back-2");
//    $(".option-light").addClass("light-back-1");
//
//    $(".option-motorcycles p").removeClass("car-item-name-active");
//    $(".option-motorcycles").removeClass("motorcycles-back-2");
//    $(".option-motorcycles").addClass("motorcycles-back-1");
//
//    $(".option-atv p").removeClass("car-item-name-active");
//    $(".option-atv").removeClass("atv-back-2");
//    $(".option-atv").addClass("atv-back-1");
//
//    $(".option-cross p").removeClass("car-item-name-active");
//    $(".option-cross").removeClass("cross-back-2");
//    $(".option-cross").addClass("cross-back-1");
//
//    $(".option-lpg p").removeClass("car-item-name-active");
//    $(".option-lpg").removeClass("lpg-back-2");
//    $(".option-lpg").addClass("lpg-back-1");
//
//    $(".option-dimension p").removeClass("car-item-name-active");
//    $(".option-dimension").removeClass("dimension-back-2");
//    $(".option-dimension").addClass("dimension-back-1");
//
//
//});
//
//
//
//$(".option-light").click(function () {
//    // $(".option-passenger").css('display', 'none');
//    $(".option-light p").addClass("car-item-name-active");
//    $(".option-light").removeClass("light-back-1");
//    $(".option-light").addClass("light-back-2");
//
//    //                usuwanie
//    $(".option-truck p").removeClass("car-item-name-active")
//    $(".option-truck").removeClass("truck-back-2");
//    $(".option-truck").addClass("truck-back-1");
//
//    $(".option-machine p").removeClass("car-item-name-active");
//    $(".option-machine").removeClass("machine-back-2");
//    $(".option-machine").addClass("machine-back-1");
//
//    $(".option-motorcycles p").removeClass("car-item-name-active");
//    $(".option-motorcycles").removeClass("motorcycles-back-2");
//    $(".option-motorcycles").addClass("motorcycles-back-1");
//
//    $(".option-atv p").removeClass("car-item-name-active");
//    $(".option-atv").removeClass("atv-back-2");
//    $(".option-atv").addClass("atv-back-1");
//
//    $(".option-passenger p").removeClass("car-item-name-active");
//    $(".option-passenger").removeClass("pas-back-2");
//    $(".option-passenger").addClass("pas-back-1");
//
//    $(".option-cross p").removeClass("car-item-name-active");
//    $(".option-cross").removeClass("cross-back-2");
//    $(".option-cross").addClass("cross-back-1");
//
//    $(".option-lpg p").removeClass("car-item-name-active");
//    $(".option-lpg").removeClass("lpg-back-2");
//    $(".option-lpg").addClass("lpg-back-1");
//
//    $(".option-dimension p").removeClass("car-item-name-active");
//    $(".option-dimension").removeClass("dimension-back-2");
//    $(".option-dimension").addClass("dimension-back-1");
//
//
//});
//
//
//$(".option-motorcycles").click(function () {
//    // $(".option-passenger").css('display', 'none');
//    $(".option-motorcycles p").addClass("car-item-name-active");
//    $(".option-motorcycles").removeClass("motorcycles-back-1");
//    $(".option-motorcycles").addClass("motorcycles-back-2");
//
//    //                usuwanie
//    $(".option-truck p").removeClass("car-item-name-active")
//    $(".option-truck").removeClass("truck-back-2");
//    $(".option-truck").addClass("truck-back-1");
//
//    $(".option-machine p").removeClass("car-item-name-active");
//    $(".option-machine").removeClass("machine-back-2");
//    $(".option-machine").addClass("machine-back-1");
//
//    $(".option-light p").removeClass("car-item-name-active");
//    $(".option-light").removeClass("light-back-2");
//    $(".option-light").addClass("light-back-1");
//
//    $(".option-atv p").removeClass("car-item-name-active");
//    $(".option-atv").removeClass("atv-back-2");
//    $(".option-atv").addClass("atv-back-1");
//
//    $(".option-passenger p").removeClass("car-item-name-active");
//    $(".option-passenger").removeClass("pas-back-2");
//    $(".option-passenger").addClass("pas-back-1");
//
//
//    $(".option-cross p").removeClass("car-item-name-active");
//    $(".option-cross").removeClass("cross-back-2");
//    $(".option-cross").addClass("cross-back-1");
//
//    $(".option-lpg p").removeClass("car-item-name-active");
//    $(".option-lpg").removeClass("lpg-back-2");
//    $(".option-lpg").addClass("lpg-back-1");
//
//    $(".option-dimension p").removeClass("car-item-name-active");
//    $(".option-dimension").removeClass("dimension-back-2");
//    $(".option-dimension").addClass("dimension-back-1");
//
//
//});
//
//
//$(".option-atv").click(function () {
//    // $(".option-passenger").css('display', 'none');
//    $(".option-atv p").addClass("car-item-name-active");
//    $(".option-atv").removeClass("atv-back-1");
//    $(".option-atv").addClass("atv-back-2");
//
//    //                usuwanie
//    $(".option-truck p").removeClass("car-item-name-active")
//    $(".option-truck").removeClass("truck-back-2");
//    $(".option-truck").addClass("truck-back-1");
//
//    $(".option-machine p").removeClass("car-item-name-active");
//    $(".option-machine").removeClass("machine-back-2");
//    $(".option-machine").addClass("machine-back-1");
//
//    $(".option-light p").removeClass("car-item-name-active");
//    $(".option-light").removeClass("light-back-2");
//    $(".option-light").addClass("light-back-1");
//
//    $(".option-motorcycles p").removeClass("car-item-name-active");
//    $(".option-motorcycles").removeClass("motorcycles-back-2");
//    $(".option-motorcycles").addClass("motorcycles-back-1");
//
//    $(".option-passenger p").removeClass("car-item-name-active");
//    $(".option-passenger").removeClass("pas-back-2");
//    $(".option-passenger").addClass("pas-back-1");
//
//    $(".option-cross p").removeClass("car-item-name-active");
//    $(".option-cross").removeClass("cross-back-2");
//    $(".option-cross").addClass("cross-back-1");
//
//    $(".option-lpg p").removeClass("car-item-name-active");
//    $(".option-lpg").removeClass("lpg-back-2");
//    $(".option-lpg").addClass("lpg-back-1");
//
//    $(".option-dimension p").removeClass("car-item-name-active");
//    $(".option-dimension").removeClass("dimension-back-2");
//    $(".option-dimension").addClass("dimension-back-1");
//
//
//});
//
//$(".option-dimension").click(function () {
//    // $(".option-passenger").css('display', 'none');
//    $(".option-dimension p").addClass("car-item-name-active");
//    $(".option-dimension").removeClass("dimension-back-1");
//    $(".option-dimension").addClass("dimension-back-2");
//
//    //                usuwanie
//
//    $(".option-truck p").removeClass("car-item-name-active")
//    $(".option-truck").removeClass("truck-back-2");
//    $(".option-truck").addClass("truck-back-1");
//
//    $(".option-machine p").removeClass("car-item-name-active");
//    $(".option-machine").removeClass("machine-back-2");
//    $(".option-machine").addClass("machine-back-1");
//
//    $(".option-light p").removeClass("car-item-name-active");
//    $(".option-light").removeClass("light-back-2");
//    $(".option-light").addClass("light-back-1");
//
//    $(".option-motorcycles p").removeClass("car-item-name-active");
//    $(".option-motorcycles").removeClass("motorcycles-back-2");
//    $(".option-motorcycles").addClass("motorcycles-back-1");
//
//    $(".option-light p").removeClass("car-item-name-active");
//    $(".option-light").removeClass("light-back-2");
//    $(".option-light").addClass("light-back-1");
//
//
//
//    $(".option-atv p").removeClass("car-item-name-active");
//    $(".option-atv").removeClass("atv-back-2");
//    $(".option-atv").addClass("atv-back-1");
//
//    $(".option-cross p").removeClass("car-item-name-active");
//    $(".option-cross").removeClass("cross-back-2");
//    $(".option-cross").addClass("cross-back-1");
//
//    $(".option-lpg p").removeClass("car-item-name-active");
//    $(".option-lpg").removeClass("lpg-back-2");
//    $(".option-lpg").addClass("lpg-back-1");
//
//
//
//});
//
//
//
//$(".option-cross").click(function () {
//    // $(".option-passenger").css('display', 'none');
//    $(".option-cross p").addClass("car-item-name-active");
//    $(".option-cross").removeClass("cross-back-1");
//    $(".option-cross").addClass("cross-back-2");
//
//    //                usuwanie
//
//    $(".option-truck p").removeClass("car-item-name-active")
//    $(".option-truck").removeClass("truck-back-2");
//    $(".option-truck").addClass("truck-back-1");
//
//    $(".option-machine p").removeClass("car-item-name-active");
//    $(".option-machine").removeClass("machine-back-2");
//    $(".option-machine").addClass("machine-back-1");
//
//    $(".option-light p").removeClass("car-item-name-active");
//    $(".option-light").removeClass("light-back-2");
//    $(".option-light").addClass("light-back-1");
//
//    $(".option-motorcycles p").removeClass("car-item-name-active");
//    $(".option-motorcycles").removeClass("motorcycles-back-2");
//    $(".option-motorcycles").addClass("motorcycles-back-1");
//
//    $(".option-light p").removeClass("car-item-name-active");
//    $(".option-light").removeClass("light-back-2");
//    $(".option-light").addClass("light-back-1");
//
//
//
//    $(".option-atv p").removeClass("car-item-name-active");
//    $(".option-atv").removeClass("atv-back-2");
//    $(".option-atv").addClass("atv-back-1");
//
//
//
//    $(".option-lpg p").removeClass("car-item-name-active");
//    $(".option-lpg").removeClass("lpg-back-2");
//    $(".option-lpg").addClass("lpg-back-1");
//
//    $(".option-dimension p").removeClass("car-item-name-active");
//    $(".option-dimension").removeClass("dimension-back-2");
//    $(".option-dimension").addClass("dimension-back-1");
//
//});
//
//
//$(".option-lpg").click(function () {
//    // $(".option-passenger").css('display', 'none');
//    $(".option-lpg p").addClass("car-item-name-active");
//    $(".option-lpg").removeClass("lpg-back-1");
//    $(".option-lpg").addClass("lpg-back-2");
//
//    //                usuwanie
//
//    $(".option-truck p").removeClass("car-item-name-active")
//    $(".option-truck").removeClass("truck-back-2");
//    $(".option-truck").addClass("truck-back-1");
//
//    $(".option-machine p").removeClass("car-item-name-active");
//    $(".option-machine").removeClass("machine-back-2");
//    $(".option-machine").addClass("machine-back-1");
//
//    $(".option-light p").removeClass("car-item-name-active");
//    $(".option-light").removeClass("light-back-2");
//    $(".option-light").addClass("light-back-1");
//
//    $(".option-motorcycles p").removeClass("car-item-name-active");
//    $(".option-motorcycles").removeClass("motorcycles-back-2");
//    $(".option-motorcycles").addClass("motorcycles-back-1");
//
//    $(".option-light p").removeClass("car-item-name-active");
//    $(".option-light").removeClass("light-back-2");
//    $(".option-light").addClass("light-back-1");
//
//
//
//    $(".option-atv p").removeClass("car-item-name-active");
//    $(".option-atv").removeClass("atv-back-2");
//    $(".option-atv").addClass("atv-back-1");
//
//    $(".option-cross p").removeClass("car-item-name-active");
//    $(".option-cross").removeClass("cross-back-2");
//    $(".option-cross").addClass("cross-back-1");
//
//
//
//    $(".option-dimension p").removeClass("car-item-name-active");
//    $(".option-dimension").removeClass("dimension-back-2");
//    $(".option-dimension").addClass("dimension-back-1");
//
//});



//            szukajka na głwenej, zmiana kontynentu

$(".europe").click(function () {
    
    $(".europe-search").css('display', 'block');
    $(".america-search").css('display', 'none');
    
    
    
    $(".europe").addClass("continent-active");
    $(".america").removeClass("continent-active");
    
});


$(".america").click(function () {
    $(".europe-search").css('display', 'none');
    $(".america-search").css('display', 'block');
    
   
    
    $(".europe").removeClass("continent-active");
    $(".america").addClass("continent-active");

});


jQuery(document).ready(function() {
    for (var i = 1; i < 9; i++) {
        var element = document.getElementById("dim" + i);
        if (element) {
            element.style.display = "none";
        }   //if
    }
});

function doTypeDropDownWork(sender, languageName) {
    /// Żeby dodać element do TypeDropDown wystarczy dodać wartość do tablicy TypeArray.
    var style = sender.value;
    var typeDropDown = document.getElementById("typeDropDown");
    // czyszczenie listy
    for (var i = 2; i < typeDropDown.length; i++) {
        typeDropDown.remove(i);
    }
    jQuery(".dimensionsInputs").children().css('display', 'none');
        switch (style) {
        case 'air':
            var TypeArray = new Array(getTranslation('sizeAir1', languageName), getTranslation('sizeAir2', languageName), getTranslation('sizeAir3', languageName));
            for (var i = 1; i < TypeArray.length + 1; i++) {
                typeDropDown.options[i] = new Option(TypeArray[i - 1], "air" + i);
            }
            break;
        case 'oil':
            var TypeArray = new Array(getTranslation('sizeOil1', languageName), getTranslation('sizeOil2', languageName));
            for (var i = 1; i < TypeArray.length + 1; i++) {
                typeDropDown.options[i] = new Option(TypeArray[i - 1], "oil" + i);
            }
            break;
        case 'fuel':
            var TypeArray = new Array(getTranslation('sizeFuel1', languageName), getTranslation('sizeFuel2', languageName), getTranslation('sizeFuel3', languageName), getTranslation('sizeFuel4', languageName));
            for (var i = 1; i < TypeArray.length + 1; i++) {
                typeDropDown.options[i] = new Option(TypeArray[i - 1], "fuel" + i);
            }
            break;
        case 'cabin':
            var TypeArray = new Array(getTranslation('sizeCabin1', languageName), getTranslation('sizeCabin2', languageName));
            for (var i = 1; i < TypeArray.length + 1; i++) {
                typeDropDown.options[i] = new Option(TypeArray[i - 1], "cabin" + i);
            }
            break;
    }
	document.getElementById("searchButtonSizes").style.display = "none";
}

function recognizeDimensions(sender) {
    clearInputs();
    switch (sender.value) {
        case 'air1':
            jQuery('.sizesSamplePhoto').html('<img class="img-responsive" src="Content/images/sizes/1_1.jpg" alt="air" />');
            break;
        case 'air2':
            jQuery('.sizesSamplePhoto').html('<img class="img-responsive"  src="Content/images/sizes/1_2.jpg" alt="air" />');
            break;
        case 'air3':
            jQuery('.sizesSamplePhoto').html('<img class="img-responsive"  src="Content/images/sizes/1_3.jpg" alt="air" />');
            break;

        case 'oil1':
            jQuery('.sizesSamplePhoto').html('<img class="img-responsive"  src="Content/images/sizes/2_1.jpg" alt="oil" />');
            break;
        case 'oil2':
            jQuery('.sizesSamplePhoto').html('<img class="img-responsive"  src="Content/images/sizes/2_2.jpg" alt="oil" />');
            break;

        case 'fuel1':
            jQuery('.sizesSamplePhoto').html('<img class="img-responsive"  src="Content/images/sizes/3_1.jpg" alt="fuel" />');
            break;
        case 'fuel2':
            jQuery('.sizesSamplePhoto').html('<img class="img-responsive"  src="Content/images/sizes/3_2.jpg" alt="fuel" />');
            break;
        case 'fuel3':
            jQuery('.sizesSamplePhoto').html('<img class="img-responsive"  src="Content/images/sizes/3_3.jpg" alt="fuel" />');
            break;
        case 'fuel4':
            jQuery('.sizesSamplePhoto').html('<img class="img-responsive"  src="Content/images/sizes/3_4.jpg" alt="fuel" />');
            break;

        case 'cabin1':
            jQuery('.sizesSamplePhoto').html('<img class="img-responsive"  src="Content/images/sizes/4_1.jpg" alt="cabin" />');
            break;
        case 'cabin2':
            jQuery('.sizesSamplePhoto').html('<img class="img-responsive"  src="Content/images/sizes/4_2.jpg" alt="cabin" />');
            break;
    }
    
    var d = document;
    var styleValue = sender.value;
    var senderArray = new Array();
	var searchButton = d.getElementById("searchButtonSizes");
    senderArray['air1'] = 'ABH'
    senderArray['air2'] = 'ABCDH'
    senderArray['air3'] = 'ABCDH';
    senderArray['oil1'] = 'ABCH';
    senderArray['oil2'] = 'ABCGH';
    senderArray['fuel1'] = 'ABCH';
    senderArray['fuel2'] = 'ABCFGH';
    senderArray['fuel3'] = 'AFGH';
    senderArray['fuel4'] = 'AFGH';
    senderArray['cabin1'] = 'ABH';
    senderArray['cabin2'] = 'ABH';
	senderArray[''] = '';
    
    /// referencje do poszczególnych bloków przechowuję w tablicy, kolejno:
    /// wymiar A = dimensions[1]
    /// ...
    /// wymiar H = dimensions[8]
    
    var dimensions = new Array(7);
    for (var i = 1; i < 9; i++) {
        dimensions[i] = d.getElementById("dim" + i);
        dimensions[i].style.display = "none";
    }
    
    /// wyświetlanie odpowiednich bloków
    var dimensionsToActivate = senderArray[styleValue];
    for (var i = 0; i < dimensionsToActivate.length; i++) {
        var singleDimension = dimensionsToActivate.substr(i, 1);
        var charToInt = singleDimension.charCodeAt(0) - 64;
        d.getElementById("dim" + charToInt).style.display = "block";
    }
	
	if (styleValue != "") {
        searchButton.style.display = "block";
    }
    else {
        searchButton.style.display = "none";
    }

}

function clearInputs() {
    jQuery("#dimAtext").val('');
    jQuery("#dimBtext").val('');
    jQuery("#dimCtext").val('');
    jQuery("#dimDtext").val('');
    jQuery("#dimEtext").val('');
    jQuery("#dimFtext").val('');
    jQuery("#dimGtext").val('');
    jQuery("#dimHtext").val('');
}